import { MessageContentI } from '../../types/messagesInternal';
import { Messages } from '../../views/chat/messages/messages';
import { Response as ResponseI } from '../../types/response';
import { DirectServiceIO } from '../utils/directServiceIO';
import { DeepChat } from '../../deepChat';
import { PollResult } from '../serviceIO';
import { OpenAIAssistantInitReqResult, OpenAIRunResult } from '../../types/openAIResult';
export declare class OpenAIAssistantIO extends DirectServiceIO {
    insertKeyPlaceholderText: string;
    keyHelpUrl: string;
    url: string;
    private static readonly THREAD_PREFIX;
    private static readonly NEW_ASSISTANT_URL;
    private static readonly POLLING_TIMEOUT_MS;
    private readonly _functionHandler?;
    permittedErrorPrefixes: string[];
    private messages?;
    private run_id?;
    private searchedForThreadId;
    private readonly config;
    private readonly newAssistantDetails;
    private readonly shouldFetchHistory;
    fetchHistory?: () => Promise<ResponseI[]>;
    constructor(deepChat: DeepChat);
    private fetchHistoryFunc;
    private processMessage;
    private createNewThreadMessages;
    private callService;
    callServiceAPI(messages: Messages, pMessages: MessageContentI[], files?: File[]): Promise<void>;
    private createNewAssistant;
    private searchPreviousMessagesForThreadId;
    extractResultData(result: OpenAIAssistantInitReqResult): Promise<{
        makingAnotherRequest: true;
    }>;
    private assignThreadAndRun;
    private getThreadMessages;
    extractPollResultData(result: OpenAIRunResult): PollResult;
    private handleTools;
}
//# sourceMappingURL=openAIAssistantIO.d.ts.map